import { HashAlgorithm } from './crypto.js';
/**
 * @deprecated
 */
export declare function legacyHash(input: string, algorithm: HashAlgorithm): string;
/**
 * @deprecated
 */
export declare function legacySha256(input: string): string;
/**
 * @deprecated
 */
export declare function legacySha512(input: string): string;
